Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

dzilify - use a static lib/Net/Twitter/Lite.pm

Rather than building lib/Net/Twitter/Lite.pm in it's entirety, I'm going to
have helpers that build the .pod and just the api_def section of the .pm.
  • Loading branch information...
commit 22c1d7c6f261cc39ef4e1ee2e0d9c2a71eacba6e 1 parent d503925
Marc Mims authored
12 .gitignore
View
@@ -1,14 +1,4 @@
.*.swp
-META.yml
-Makefile
-MANIFEST
-blib/
-pm_to_blib
*.bak
-# Net/Titter/Lite.pm is generated from src/net-twitter-lite.tt2
-lib/Net/Twitter/Lite.pm
-*.old
-*.gz
.prove
-inc/
-MYMETA.*
+.build/
49 MANIFEST.SKIP
View
@@ -1,49 +0,0 @@
-# Avoid version control files.
-\bRCS\b
-\bCVS\b
-,v$
-\B\.svn\b
-^\.git
-
-# Avoid Makemaker generated and utility files.
-\bMakefile$
-\bblib
-\bMakeMaker-\d
-\bpm_to_blib$
-\bblibdirs$
-^MANIFEST\.SKIP$
-
-# for developers only :)
-^TODO$
-
-# Avoid Module::Build generated and utility files.
-\bBuild$
-\b_build
-
-# Avoid temp and backup files.
-~$
-\.tmp$
-\.old$
-\.bak$
-\..*?\.sw[po]$
-\#$
-\b\.#
-\.prove$
-
-# avoid OS X finder files
-\.DS_Store$
-
-# Don't ship the test db
-^t/var
-
-# Don't ship the last dist we built :)
-\.tar\.gz$
-
-# Skip maint stuff
-^maint/
-
-# Avoid copies to .orig
-\.orig$
-
-# used to condition creation of Lite.pm from src/net-twitter-lite-pm.tt2
-MAINTAINER
76 dist.ini
View
@@ -0,0 +1,76 @@
+name = Net-Twitter-Lite
+main_module = lib/Net/Twitter/Lite.pm
+author = Marc Mims <mmims@cpan.org>
+license = Perl_5
+copyright_holder = Marc Mims
+copyright_year = 2013
+
+[GithubMeta]
+[MetaResources]
+bugtracker = http://rt.cpan.org/Public/Dist/Display.html?Name=Net-Twitter-Lite
+
+[VersionFromModule]
+[PkgVersion]
+[PodVersion]
+[GatherDir]
+[PruneCruft]
+[ManifestSkip]
+[MetaYAML]
+[License]
+[ExtraTests]
+[ExecDir]
+[ShareDir]
+[MakeMaker]
+[Manifest]
+[TestRelease]
+[ConfirmRelease]
+[UploadToCPAN]
+
+[MetaNoIndex]
+directory = src
+directory = examples
+
+[PruneFiles]
+filename = dist.ini
+filename = Makefile.PL
+filename = README.md
+match = ^src/
+match = ^inc/
+match = ^nytprof.*
+match = ^perl5
+match = ^cpan.*
+
+[AutoPrereqs]
+
+[Prereqs]
+JSON = 2.02
+URI = 1.40
+LWP::UserAgent = 2.032
+Crypt::SSLeay = 0.5
+
+[Prereqs / Recommends]
+Net::OAuth = 0.25
+Net::Netrc = 0
+
+[Prereqs / TestRequires]
+Test::Simple = 0.98
+Test::Fatal = 0
+
+[PodSyntaxTests]
+[PodCoverageTests]
+; authordep Pod::Coverage::TrustPod
+
+[Test::Compile]
+
+;[@Git]
+;changelog = Changes
+;allow_dirty = dist.ini
+;allow_dirty = Changes
+;commit_msg = v%v%n%n%c
+;tag_format = %v
+;tag_message = %v
+;push_to = origin
+;
+;[Git::NextVersion]
+;version_regexp = ^(\d+\.\d{2})$
+
5,024 lib/Net/Twitter/Lite.pm
View
5,024 additions, 0 deletions not shown
26 t/99-pod_coverage.t
View
@@ -1,26 +0,0 @@
-#!perl -wT
-use warnings;
-use strict;
-use Test::More;
-
-eval "use Pod::Coverage 0.19";
-plan skip_all => 'Pod::Coverage 0.19 required' if $@;
-
-eval "use Test::Pod::Coverage 1.04";
-plan skip_all => 'Test::Pod::Coverage 1.04 required' if $@;
-
-plan skip_all => 'set TEST_POD to enable this test'
- unless ($ENV{TEST_POD} || -e 'MANIFEST.SKIP');
-
-# skip deprecated methods
-all_pod_coverage_ok({ trustme => [qr/^(?:
- update_location
- | downtime_schedule
- | friends
- | following
- | followers
- | following_timeline
- | friends_timeline
- | legacy_\w+
- | trends
-)$/x]});
1  t/99-pod_spelling.t
View
@@ -66,6 +66,7 @@ timeline
Twitter's
twitterpm
twittervision
+TwitterVision
Un
un
unfollow
12 t/99-pod_syntax.t
View
@@ -1,12 +0,0 @@
-#!perl -wT
-use strict;
-use warnings;
-use Test::More;
-
-plan skip_all => 'set TEST_POD to enable this test'
- unless ($ENV{TEST_POD} || -e 'MANIFEST.SKIP');
-
-eval 'use Test::Pod 1.00';
-plan skip_all => 'Test::Pod 1.00 not installed' if $@;
-
-all_pod_files_ok();
Please sign in to comment.
Something went wrong with that request. Please try again.